Watch Aspire live streamsDocsTry Aspire
Watch Aspire live streamsDocsTry

YarpRoute.withTransformQueryValue

Method
📦 Aspire.Hosting.Yarp v13.6.0
interface YarpRoute {
// ... omitted for brevity
withTransformQueryValue(
queryKey: string,
value: string,
append?: boolean): YarpRoute;
}

Signature

methodwithTransformQueryValue
Adds the transform that will append or set the query parameter from the given value.
withTransformQueryValue(
queryKey: string,
value: string,
append?: boolean): YarpRoute
queryKeystring
valuestring
appendbooleanoptional= True
YarpRoute

Defined on

This method is defined on the following type: